﻿using System;
using System.Collections.Generic;
using System.Text;

namespace ELTE.Basics.University
{
    /// <summary>
    /// Egyetemi hallgató típusa.
    /// </summary>
    class Student : UniversityCitizen
    {
        /// <summary>
        /// Egyetemi hallgató létrehozása.
        /// </summary>
        /// <param name="name">Hallgató neve.</param>
        public Student(String name) : base(name) // ős konstruktorának meghívása
        {
        }

        /// <summary>
        /// Feljelentkezés kurzusra.
        /// </summary>
        /// <param name="course">Kurzus.</param>
        public void SignForCourse(Course course)
        {
            course.AddStudent(this); // nyílt rekurzió
        }

    }
}
